<div class="container">
  <form (ngSubmit)="guardar()" #forma="ngForm">
    <!--EMAIL-->
    <div class="row">
      <div class="col-5">
        <label for="femail" class="lbl">Correo Electronico</label>
      </div>
      <div>
          <input
          type="text"
          id="femail"
          placeholder="Escriba sus correo"
          class="txtbox"
          name="correo"
          [(ngModel)]="datos.correo"
          required
          minlength="7"
          #correo="ngModel"
          [class.is-invalid]="correo.invalid && correo.touched"
          pattern="^(([^<>()\[\]\.,;:\s@\”]+(\.[^<>()\[\]\.,;:\s@\”]+)*)|(\”.+\”))@(([^<>()[\]\.,;:\s@\”]+\.)+[^<>()[\]\.,;:\s@\”]{2,})$">
          
          <small class="text-danger-1" *ngIf="correo.invalid && correo.touched">Ingrese un email valido</small>
      </div>
    </div>

    <div class="row">
      <div class="col-5">
        <label for="ftramites" class="lbl-1">Cantidad de Tramites</label>
      </div>
      <div>
          <!--
          type="text"
          id="ftramites"
          placeholder="cantidad de tramites"
          class="txtbox"
          name="tramites"
          [(ngModel)]="datos.tramites"
          required
          minlength="7"
          #tramites="ngModel"
          [class.is-invalid]="tramites.invalid && tramites.touched"
          pattern="^[a-zA-ZñÑ\s]+$"> -->
          
          
          <!--[(ngModel)]="datos.tramites"
          required
          #tramites="ngModel"
          [class.is-invalid="tramites.invalid && tramites.touched"] -->
          <select 
          name="tramites" 
          multiple
          id="ftramites"
          required
          [(ngModel)]="datos.tramites">
              <option value="1">1</option>
              <option value="2">2</option>
              <option value="3">3</option>
              <option value="4">4</option>
              <option value="5">5</option>
              <option value="6">6</option>
              <option value="7">7</option>
              <option value="8">8</option>
              <option value="9">9</option>
              <option value="10">10</option>
          </select>
          
      </div>
    </div>

    <div class="row">
      <div class="col-5">
        <label for="fdescripcion" class="lbl-3">Descripcion</label>
      </div>
        <div>
          <textarea 
              type="text"
              id="fdescripcion"
              class="txtbox-5"
              name="descripcion"
              [(ngModel)]="datos.descripcion"
              required
              minlength="10"
              #descripcion="ngModel"
              [class.is-invalid]="descripcion.invalid && descripcion.touched"
              pattern="^[a-zA-ZñÑ\s]+$">
            </textarea>
            <small class="text-danger" *ngIf="descripcion.invalid && descripcion.touched">Introduzca al menos 10 caracteres</small>
        </div>
    </div>
    <div>
      <button type="submit" class="btn" [disabled]="!forma.valid">Guardar</button>
    </div>
  </form>
</div>